# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

require "benchmark"

module BenchmarkTest
  def benchmark
    result = nil
    Benchmark.bm {|x|
      x.report { 
	result = yield 
      }
    }
    return result
  end
end
